//--------------------------------------------------------------
// File     : xmc2go_ub_din.h
//--------------------------------------------------------------

//--------------------------------------------------------------
#ifndef __XMC2GO_UB_DIN_H
#define __XMC2GO_UB_DIN_H


//--------------------------------------------------------------
// Includes
//--------------------------------------------------------------
#include <stdint.h>
#include "gpio.h"



//--------------------------------------------------------------
// Liste aller Digital-IN Pins
//--------------------------------------------------------------
typedef enum {
  DIN_P00 =0,
  DIN_P05,
  DIN_P20  
}DIN_NAME_t;




//--------------------------------------------------------------
// Globale Funktionen
//--------------------------------------------------------------
void XMC2GO_DIn_Init(void);
uint8_t XMC2GO_DIn_Read(DIN_NAME_t din_name);



//--------------------------------------------------------------
#endif // __XMC2GO_UB_DIN_H
